| LCD Library 1.2.1 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
LiquidCrystal_SR3W Class Reference

`#include <LiquidCrystal_SR3W.h>`

Inheritance diagram for LiquidCrystal_SR3W:

List of all members.

## Public Member Functions
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe)
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe, uint8_t backlighPin, t_backlighPol pol)
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe, uint8_t En, uint8_t Rw, uint8_t Rs, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7, uint8_t backlighPin, t_backlighPol pol)
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe, uint8_t En, uint8_t Rw, uint8_t Rs, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklight (uint8_t value)
void | setBacklightPin (uint8_t value, t_backlighPol pol)

## Detailed Description

Definition at line 66 of file LiquidCrystal_SR3W.h.

## Constructor & Destructor Documentation

LiquidCrystal_SR3W::LiquidCrystal_SR3W | ( | uint8_t | data,
|  | uint8_t | clk,
|  | uint8_t | strobe
| ) |  |

Class constructor. Initializes class variables and defines the IO driving the shift register. The constructor does not initialize the LCD. Default configuration: Shift register LCD QA - 0 DB4 QB - 1 DB5 QC - 2 DB6 QD - 3 DB7 QE - 4 E QF - 5 QG - 6 Rs GND Rw

Parameters:

  strobe[in] | digital IO connected to shiftregister strobe pin.
  data[in] | digital IO connected to the shiftregister data pin.
  clk[in] | digital IO connected to the shiftregister clock pin.

Definition at line 133 of file LiquidCrystal_SR3W.cpp.

LiquidCrystal_SR3W::LiquidCrystal_SR3W | ( | uint8_t | data,
|  | uint8_t | clk,
|  | uint8_t | strobe,
|  | uint8_t | backlighPin,
|  | t_backlighPol | pol
| ) |  |

Definition at line 138 of file LiquidCrystal_SR3W.cpp.

LiquidCrystal_SR3W::LiquidCrystal_SR3W | ( | uint8_t | data,
|  | uint8_t | clk,
|  | uint8_t | strobe,
|  | uint8_t | En,
|  | uint8_t | Rw,
|  | uint8_t | Rs,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7
| ) |  |

Class constructor. Initializes class variables and defines the control lines of the LCD and the shiftregister. The constructor does not initialize the LCD.

Parameters:

  strobe[in] | digital IO connected to shiftregister strobe pin.
  data[in] | digital IO connected to shiftregister data pin.
  clk[in] | digital IO connected to shiftregister clock pin.
  En[in] | LCD En (Enable) pin connected to SR output pin.
  Rw[in] | LCD Rw (Read/write) pin connected to SR output pin.
  Rs[in] | LCD Rs (Reg Select) pin connected to SR output pin.
  d4[in] | LCD data 4 pin map to the SR output pin.
  d5[in] | LCD data 5 pin map to the SR output pin.
  d6[in] | LCD data 6 pin map to the SR output pin.
  d7[in] | LCD data 7 pin map to the SR output pin.

Definition at line 145 of file LiquidCrystal_SR3W.cpp.

LiquidCrystal_SR3W::LiquidCrystal_SR3W | ( | uint8_t | data,
|  | uint8_t | clk,
|  | uint8_t | strobe,
|  | uint8_t | En,
|  | uint8_t | Rw,
|  | uint8_t | Rs,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7,
|  | uint8_t | backlighPin,
|  | t_backlighPol | pol
| ) |  |

Definition at line 152 of file LiquidCrystal_SR3W.cpp.

## Member Function Documentation

void LiquidCrystal_SR3W::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  | `[virtual]`

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command.

Users should never call this method.

Parameters:

  value[in] | Value to send to the LCD.
  mode[in] | DATA - write to the LCD CGRAM, COMMAND - write a command to the LCD.

Reimplemented from LCD.

Definition at line 162 of file LiquidCrystal_SR3W.cpp.

void LiquidCrystal_SR3W::setBacklight | ( | uint8_t | value | ) | `[virtual]`

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also:
  setBacklightPin.

Parameters:

  value,: | backlight mode (HIGH|LOW)

Reimplemented from LCD.

Definition at line 191 of file LiquidCrystal_SR3W.cpp.

void LiquidCrystal_SR3W::setBacklightPin | ( | uint8_t | value,
|  | t_backlighPol | pol = `POSITIVE`
| ) |  | `[virtual]`

Sets the pin to control the backlight. Sets the pin in the device to control the backlight. This device doesn't support dimming backlight capability.

Parameters:

  0,: | backlight off, 1..255: backlight on.

Reimplemented from LCD.

Definition at line 183 of file LiquidCrystal_SR3W.cpp.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR3W.h
- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR3W.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines